#define aref_voltage 3.3

//Light sensor
int photocellPin = 0;
int photocellReading;

//Temperature sensor
int tempPin = 1;
int tempReading;
int tempReadingF;

//Moisture sensor
int moistPin = 2;
int moistReading;

//Solenoid
int waterValvePin = 9;
    
void setup(void) {
 
  Serial.begin(57600);   
  analogReference(EXTERNAL);
}


void loop(void) {
  //analog readings
  photocellReading = analogRead(photocellPin);  
  moistReading = analogRead(moistPin);
  tempReading = analogRead(tempPin);
  
  //digital output
  pinMode(waterValvePin, OUTPUT);
  digitalWrite (waterValvePin, LOW);
  
  //Calculate Temperature
  float voltage = tempReading * aref_voltage / 1024;
  float temperatureC = (voltage - 0.5) * 100 ;
  float temperatureF = (temperatureC * 9 / 5) + 32;
  tempReadingF = temperatureF;
  
//If soil is dry water for 10 seconds
if (moistReading < 600)
{
digitalWrite(waterValvePin, HIGH);
delay(10000);
digitalWrite(waterValvePin, LOW);
}
  
  //upload sensor data
  String stringOne = String("http://api.thingspeak.com/update?key=6HVM84X1N6P1OXFU&field2=") + photocellReading + String("&field3=") + moistReading + String("&field1=") + tempReadingF; 
  Serial.println(stringOne);
  
  delay(3600000);
}  

